OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TreeToMerge< TreeT >::MaskPtr Struct Reference

Wrapper around unique_ptr that deep-copies mask on copy construction. More...

`#include <openvdb/tools/Merge.h>`

## Public Member Functions
| MaskPtr ()=default
| ~MaskPtr ()=default
| MaskPtr (MaskPtr &&other)=default
MaskPtr & | operator= (MaskPtr &&other)=default
| MaskPtr (const MaskPtr &other)
MaskPtr & | operator= (const MaskPtr &other)

## Public Attributes
std::unique_ptr< MaskTreeType > | ptr

## Detailed Description

template<typename TreeT>
struct openvdb::v11_0::tools::TreeToMerge< TreeT >::MaskPtr

Wrapper around unique_ptr that deep-copies mask on copy construction.

## Constructor & Destructor Documentation

## ◆ MaskPtr() [1/3]

template<typename TreeT >

MaskPtr | ( |  | ) |
| default

## ◆ ~MaskPtr()

template<typename TreeT >

~MaskPtr | ( |  | ) |
| default

## ◆ MaskPtr() [2/3]

template<typename TreeT >

MaskPtr | ( | MaskPtr && | other | ) |
| default

## ◆ MaskPtr() [3/3]

template<typename TreeT >

MaskPtr | ( | const MaskPtr & | other | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename TreeT >

MaskPtr & operator= | ( | const MaskPtr & | other | ) |
| inline

## ◆ operator=() [2/2]

template<typename TreeT >

MaskPtr & operator= | ( | MaskPtr && | other | ) |
| default

## Member Data Documentation

## ◆ ptr

template<typename TreeT >

std::unique_ptr<MaskTreeType> ptr